/**
 * Copyright (C) 2017-2020 Linagora
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

// all types of leds
@mixin led($bg) {
  width: 10px;
  height: 10px;
  border-radius: 50%;
  background-color: $bg;
}

// material palette color: 400
.led {
  &.green {
    @include led(#66bb6a);
  }

  &.red {
    @include led(#ef5350);
  }

  &.yellow {
    @include led(#ffee58);
  }

  &.grey {
    @include led(#bdbdbd);
  }

  &.black {
    @include led(#000000);
  }

  &.white {
    @include led(#fff);
  }
}
